# Generated by Django 4.2.5 on 2024-03-25 15:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


def populate_user_favorite(apps, schema_editor):
    UserProfile = apps.get_model("openbook_auth", "UserProfile")
    UserFavorite = apps.get_model("favorites", "UserFavorite")
    ContentType = apps.get_model("contenttypes", "ContentType")
    Insight = apps.get_model("openbook_insights", "Insight")

    insight_content_type = ContentType.objects.get_for_model(Insight)

    for user_profile in UserProfile.objects.all():
        for favorite_insight in user_profile.favorite_insights.all():
            UserFavorite.objects.create(
                bookmark_id=favorite_insight.id,
                bookmark_type=insight_content_type,
                user=user_profile.user,
            )


def reverse(apps, schema_editor):
    print("WARNING: Didn't properly reverse user favorite data migration.")
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_auth", "0022_userprofile_favorite_insights"),
        ("favorites", "0001_initial"),
    ]

    operations = [
        migrations.RunPython(populate_user_favorite, reverse),
    ]
