# Generated by Django 5.0.8 on 2024-12-11 10:44

from django.db import migrations, models

def create_initial_feed_config(apps, schema_editor):
    FeedConfig = apps.get_model("feed_posts", "FeedConfig")
    if not FeedConfig.objects.exists():
        FeedConfig.objects.create(priority_duration=7)

class Migration(migrations.Migration):

    dependencies = [
        ("feed_posts", "0016_feedpostimage_aspect_ratio"),
    ]

    operations = [
        migrations.CreateModel(
            name="FeedConfig",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                (
                    "priority_duration",
                    models.PositiveIntegerField(
                        default=7, help_text="Specifies how many days the posts will be prioritized."
                    ),
                ),
            ],
            options={
                "verbose_name": "Feed Configuration",
                "verbose_name_plural": "Feed Configurations",
            },
        ),
        migrations.RunPython(create_initial_feed_config),
    ]