# Generated by Django 4.2.5 on 2024-03-21 21:04

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


def populate_user_favorite(apps, schema_editor):
    UserProfile = apps.get_model("openbook_auth", "UserProfile")
    UserFavorite = apps.get_model("openbook_auth", "UserFavorite")
    ContentType = apps.get_model("contenttypes", "ContentType")
    Insight = apps.get_model("openbook_insights", "Insight")

    insight_content_type = ContentType.objects.get_for_model(Insight)

    for user_profile in UserProfile.objects.all():
        for favorite_insight in user_profile.favorite_insights.all():
            UserFavorite.objects.create(
                bookmark_id=favorite_insight.id,
                bookmark_type=insight_content_type,
                user=user_profile.user,
            )


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_auth", "0022_userprofile_favorite_insights"),
    ]

    operations = [
        migrations.CreateModel(
            name="UserFavorite",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("bookmark_id", models.UUIDField()),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "bookmark_type",
                    models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="contenttypes.contenttype"),
                ),
                ("user", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.RunPython(populate_user_favorite),
    ]
