# Generated by Django 5.0.8 on 2025-02-24 16:15

import django.contrib.postgres.fields
from django.db import migrations, models

from openbook_terms.helpers import topics_to_topic_v2_slugs, skills_to_skill_v2_slugs


def migrate_topics_and_skills(apps, schema_editor):
    UserProfile = apps.get_model("openbook_auth", "UserProfile")

    for user_profile in UserProfile.objects.all():
        old_interests = user_profile.interests.all()
        new_interests = topics_to_topic_v2_slugs(old_interests)

        old_skills = user_profile.skills.all()
        new_skills = skills_to_skill_v2_slugs(old_skills)

        user_profile.interests_v2 = new_interests
        user_profile.skills_v2 = new_skills
        user_profile.save()


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_auth", "0034_remove_userprofile_cover_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="userprofile",
            name="interests_v2",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(max_length=128), blank=True, default=list, size=None
            ),
        ),
        migrations.AddField(
            model_name="userprofile",
            name="skills_v2",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(max_length=128), blank=True, default=list, size=None
            ),
        ),
        migrations.RunPython(migrate_topics_and_skills),
    ]
