# Generated by Django 4.2.5 on 2024-03-02 10:16

from django.db import migrations, models
import django.db.models.deletion
import imagekit.models.fields
import openbook_communities.helpers
import uuid


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_communities", "0036_alter_task_slots_available"),
    ]

    operations = [
        migrations.AlterField(
            model_name="community",
            name="avatar",
            field=imagekit.models.fields.ProcessedImageField(
                blank=True,
                default=None,
                max_length=500,
                null=True,
                upload_to=openbook_communities.helpers.upload_to_community_avatar_directory,
                verbose_name="avatar",
            ),
        ),
        migrations.CreateModel(
            name="SpacesRelationship",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ("relationship_type", models.CharField(choices=[("PARENT_OF", "Parent Of"), ("PART_OF", "Part Of")])),
                (
                    "from_space",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="space_relationships",
                        to="openbook_communities.community",
                    ),
                ),
                (
                    "to_space",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="inverse_space_relationships",
                        to="openbook_communities.community",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
